본문 바로가기메인 메뉴 바로가기사이드 메뉴 바로가기

kakao developers

Related sites
  • Docs
  • Kakao Moment
  • Ad View management

사이드 메뉴

Kakao Map

Search

Kakao Moment

Ad View management

This document describes how to use the Ad View management APIs.

View list of Ad Views

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adViewsBusiness token

Retrieves a list of Ad Views.

You can use the retrieved Ad View information to set as a landing to or a landing type when you create a creative under the 'Kakao Bizboard' type of a campaign.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. If the request is successful, this API returns a list of each Ad View's detailed information in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O

Response

Body
NameTypeDescription
-AdView[]List of Ad View information.
AdView
NameTypeDescription
idLongAd View's ID.
nameStringAd View's name.
typeStringAd View's type.
Either of FULL (Full view) or COMPACT (Compact view).
templateTypeStringTemplate type.
One of the followings:
  • IMAGE
  • VIDEO
  • CAROUSEL: Only for Compact view
  • SCROLL: Only for Full view

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adViews" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
[
{
"id": 1,
"name": "first_ad_view",
"type": "COMPACT",
"templateType": "IMAGE"
}
]

View Ad View

Basic information
MethodURLAuthorization
GEThttps://apis.moment.kakao.com/openapi/v4/adViews/${ID}Business token

Retrieves the detailed information of the specified Ad View.

Send a GET request with the issued business token and an ad account ID (adAccountId) in the request header. You must pass the Ad View ID to be retrieved as a parameter when you request. If the request is successful, this API returns the detailed information of the Ad View in JSON format. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
IDLongAd View's ID.O

Response

Body
NameTypeDescription
idLongAd View's ID.
nameStringAd View's name.
typeStringAd View's type.
Either of FULL (Full view) or COMPACT (Compact view).
templateTypeStringTemplate type.
One of the followings:
  • IMAGE
  • VIDEO
  • CAROUSEL: Only for Compact view
  • SCROLL: Only for Full view

Sample

Request
curl -X GET "https://apis.moment.kakao.com/openapi/v4/adViews/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}"
Response
HTTP/1.1 200 OK
Content-Type: application/json;charset=UTF-8
{
"id": 1,
"name": "first_ad_view",
"type": "COMPACT",
"templateType": "IMAGE"
}

Delete Ad View

Basic information
MethodURLAuthorization
DELETEhttps://apis.moment.kakao.com/openapi/v4/adViews/${ID}Business token

Deletes an Ad View.

Send a DELETE request with the issued business token and an ad account ID (adAccountId) in the request header. You must pass the campaign ID as a parameter when you request. If the request is successful, this API returns the HTTP status code 200 without the response body. If failed, refer to Error code to figure out its failure cause.

Request

Header
NameDescriptionRequired
AuthorizationAuthorization: Bearer ${BUSINESS_ACCESS_TOKEN}
Business token as a type of user authentication.
O
adAccountIdadAccountId: ${AD_ACCOUNT_ID}
Ad account's ID.
O
Path variable
NameTypeDescriptionRequired
IDLongAd View's ID.O

Sample

Request
curl -v -X DELETE "https://apis.moment.kakao.com/openapi/v4/adViews/${ID}" \
-H "Authorization: Bearer ${BUSINESS_ACCESS_TOKEN}" \
-H "adAccountId: ${AD_ACCOUNT_ID}" \
-H "Content-Type: application/json"
Response
HTTP/1.1 200 OK
Content-Length: 0
Content-Type: application/json;charset=UTF-8
Response: Fail
HTTP/1.1 400 Bad request
Content-Type: application/json;charset=UTF-8
{
"code": -813,
"msg": "KakaoMomentException",
"extras": {
"detailCode": 39020,
"detailMsg": "이 애드뷰를 랜딩으로 사용중인 소재가 있어서 삭제할 수 없습니다."
}
}

See more

Was this helpful?